Mail API reference

Mail API · Integrations

post/v1/workspaces/{workspace_id}/integrations/github/syncAuth

Trigger an immediate sync from GitHub. Returns a sync id to poll.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Headers

Idempotency-Keystring

Opaque client-generated string (1–256 chars, `[A-Za-z0-9._:-]`) used to deduplicate retries within a 24h window. A retry with the same key and body returns the original response with `Idempotent-Replay: true`.

Response · 202

sync_id*string

Opaque sync-run id (base64url).

started_at*string · date-time

When the sync started.

Example

Request

POST https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/integrations/github/sync
Authorization: Bearer YOUR_TOKEN

Response

{
  "sync_id": "string",
  "started_at": "2026-01-01T00:00:00.000Z"
}